# Maintainer: Philip Müller <philm at manjaro dot org>

pkgname=v86d
pkgver=0.1.10
pkgrel=5.1
pkgdesc="userspace helper for uvesafb that runs x86 code in an emulated environment"
arch=('i686' 'x86_64')
url="https://github.com/mjanusz/v86d"
license=('GPL2')
depends=('glibc')
makedepends=('git')
options=('!makeflags')
source=("git://github.com/mjanusz/v86d.git#tag=$pkgname-$pkgver"
        v86d_install
        v86d_hook
        modprobe.uvesafb)
md5sums=(SKIP
         'SKIP'
         'SKIP'
         'SKIP')

build() {
  cd "$pkgname"
  ./configure --with-x86emu
  # we only need /usr/include/video/uvesafb.h
  make KDIR=/usr
}

package() {
  cd "$pkgname"
  make DESTDIR="$pkgdir" install

  install -D -m644 "$srcdir/v86d_install" "$pkgdir/usr/lib/initcpio/install/v86d"
  install -D -m644 "$srcdir/v86d_hook" "$pkgdir/usr/lib/initcpio/hooks/v86d"
  install -D -m644 "$srcdir/modprobe.uvesafb" "$pkgdir/usr/lib/modprobe.d/uvesafb.conf"

  # usrmove
  cd "$pkgdir"
  mv sbin usr/bin
}
